Add recipient to survey
POST
/v1/Survey/Surveys/{id}/Recipients
const url = 'https://rms.dev.caspeco.net/api/booking/v1/Survey/Surveys/example/Recipients';const options = { method: 'POST', headers: { system: 'example', Authorization: 'Bearer <token>', 'Content-Type': 'application/json' }, body: '{"ref":"example","name":"example","emailAddress":"example","mobilePhone":"example","invitationMethod":0,"sendTime":"2026-04-15T12:00:00Z","remindTime":"2026-04-15T12:00:00Z","replaceParams":{"additionalProperty":"example"},"callbackUrl":"example","referenceTime":"2026-04-15T12:00:00Z"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://rms.dev.caspeco.net/api/booking/v1/Survey/Surveys/example/Recipients \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'system: example' \ --data '{ "ref": "example", "name": "example", "emailAddress": "example", "mobilePhone": "example", "invitationMethod": 0, "sendTime": "2026-04-15T12:00:00Z", "remindTime": "2026-04-15T12:00:00Z", "replaceParams": { "additionalProperty": "example" }, "callbackUrl": "example", "referenceTime": "2026-04-15T12:00:00Z" }'Adds the recipient to the survey. To send it, use the Recipients Controller with the recipient id.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
The id of the requested survey
Header Parameters
Section titled “Header Parameters”system
required
string
The system name / database to query
Request Bodyrequired
Section titled “Request Bodyrequired”The recipient and send data
Media typeapplication/json
object
ref
string
name
string
emailAddress
string
mobilePhone
string
invitationMethod
integer
sendTime
string format: date-time
remindTime
string format: date-time
replaceParams
object
key
additional properties
string
callbackUrl
string
referenceTime
string format: date-time
Responses
Section titled “Responses”The updated Survey structure
Media typeapplication/json
object
id
string format: guid
rev
integer format: int64
surveyId
string format: guid
ref
string
referenceTime
string format: date-time
name
string
emailAddress
string
mobilePhone
string
invitationMethod
integer
sendTime
string format: date-time
remindTime
string format: date-time
callbackUri
string
sentTime
string format: date-time
remindedTime
string format: date-time
openedTime
string format: date-time
respondedTime
string format: date-time
callbackCallCount
integer format: int32
callbackCallSuccess
boolean
callbackCalledTime
string format: date-time
status
integer
replaceParams
object
key
additional properties
string
Example
{ "application/json": { "id": "aa2af7b1-c640-4d4b-a9b2-8eaf68b446b7", "rev": 0, "surveyId": "ff07bf69-8453-4c1b-b407-1a3467a4109a", "referenceTime": "2025-12-01T07:50:09.6647775+00:00", "name": "Lennart Lennartsbesökare", "emailAddress": "lennart@lennart.se", "mobilePhone": "0701234567", "invitationMethod": 0, "sendTime": "2025-12-01T12:50:09.6647758+00:00", "remindTime": "2025-12-01T17:50:09.6647774+00:00", "callbackCallCount": 0, "callbackCallSuccess": false, "status": 1, "replaceParams": { "name": "Lennart", "personalMsg": "Glöm inte att sälja din freestyle Lennart!" } }}